# Security Policy

Thank you for choosing the Optimizer! We take security seriously and are committed to providing a safe and reliable product. Please read through the following information to ensure you are using the Optimizer to its fullest potential while maintaining a secure environment.

## Supported Versions

We actively support the following version of the Optimizer:

| Version | Supported          |
| ------- | ------------------ |
| 16.x   | ✅                |

If you are using a version older than 15.x, we highly recommend upgrading to the latest version to benefit from the latest security enhancements and features.

## Staying Up to Date

To ensure you are benefiting from the latest improvements and security fixes, we strongly advise using the most recent version of the Optimizer. You can easily download the latest version from our official GitHub repository or directly within the app.

The app is designed to automatically check for updates each time you run it. If an update is available, an icon will be displayed, alerting you to the new version. Before updating, you'll have the opportunity to review the upcoming changes to make an informed decision.

## Authenticity Verification

It's important to ensure that you are using the official version of the Optimizer. To verify the authenticity of the application, please refer to the SHA256 hash provided on the main page of our GitHub repository. This hash acts as a fingerprint and guarantees that the application has not been tampered with.

## Reporting Security Vulnerabilities

If you discover a vulnerability or have security concerns, we encourage you to report them promptly. You can do so by opening an issue on our GitHub repository and providing all the necessary details. We take security-related matters seriously and will promptly address your concerns.

**Note:** We prioritize the security of our users. Therefore, security-related issues reported within the first 24 hours will receive immediate attention. Our dedicated team will work to provide an update as swiftly as possible, typically within 7-10 days.

Thank you for choosing the Optimizer and being proactive about security. Your collaboration helps us maintain a secure environment for all users.
